<?php
namespace Claromentis\Core\Mail;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array();






class FileAttachment extends Attachment
{
    private string $filePath;
    public function __construct(string $_48dfd8f834d78abaee422695a2382f6a, ?string $name = null, ?string $_245f7cfb5032fc84834957a5c9c96bb0 = null, bool $_db2d0d33cdc8a9de0954d9a0f02d9a2f = false)
    {
        parent::__construct($name, $_245f7cfb5032fc84834957a5c9c96bb0, $_db2d0d33cdc8a9de0954d9a0f02d9a2f);
        $this->setFilePath($_48dfd8f834d78abaee422695a2382f6a);
    }
    
    
    
    
    
    
    public function getFilePath() : string
    {
        return $this->filePath;
    }
    
    
    
    
    
    
    public function setFilePath(string $_48dfd8f834d78abaee422695a2382f6a) : void
    {
        $this->filePath = $_48dfd8f834d78abaee422695a2382f6a;
    }
}